Subject: Re: can't access PCIe card under sbc8548

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 31 May 2013 20:01:14 +1000

On Thu, 2013-05-30 at 17:40 -0700, wolfking wrote:
> hi, scott:
>   Thanks for replying!
> > In what specific way does it not work?
>   when I use iowrite8 to write, things seem OK, the codes continue running,
>   when I use ioread8 to read, the console I use freezes. The console stops
>   responding.
> > Why can't it succeed?  Is there nothing mapped at 0xfc7fc000?
>   My PCIe card's local bus register is at BAR0+0xC7, so the driver should
> access 0xfc7fc027 and the following 7 bytes. But When I access the areas:
> ioread8 just freezes. 

That looks more like a HW error to me unless you are hitting completely
the wrong system addresses.

What would be useful would be to add printk's to check what exact
physical address pci_iomap ends up using and whether that matches
to the iobase_phys of the PCI bridge + the BAR value of the card.

Cheers,
Ben.